Object Detection using Template

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables
Public Member Functions | Private Member Functions | Private Attributes | List of all members
cz.vutbr.feec.novak68.extractors.SimpleHOGcellExtractor Class Reference

## Public Member Functions
| SimpleHOGcellExtractor ()
| SimpleHOGcellExtractor (int threshold)
String | extractProperies (HOG hogTest)
String | extractProperiesMore (HOG hogTest)

## Private Member Functions
int[] | computeBinCount (HOG hog, int threshold)
float[] | computeBinCountMore (HOG hog, int threshold)

## Private Attributes
int | threshold

## Detailed Description

Extract an array [bin][cell x][cell y]

Author
  xnovak68

Definition at line 8 of file SimpleHOGcellExtractor.java.

## Constructor & Destructor Documentation

cz.vutbr.feec.novak68.extractors.SimpleHOGcellExtractor.SimpleHOGcellExtractor | ( |  | ) |

Default Constructor with threshold 1000

Definition at line 18 of file SimpleHOGcellExtractor.java.

cz.vutbr.feec.novak68.extractors.SimpleHOGcellExtractor.SimpleHOGcellExtractor | ( | int | threshold | ) |

Parameters

  threshold |

Definition at line 25 of file SimpleHOGcellExtractor.java.

References cz.vutbr.feec.novak68.extractors.SimpleHOGcellExtractor.threshold.

## Member Function Documentation

int [] cz.vutbr.feec.novak68.extractors.SimpleHOGcellExtractor.computeBinCount | ( | HOG | hog,
|  | int | threshold
| ) |  |
| private

Computes bins only with values 1 or 0 (means bin is present or not)

Parameters

  hog |
  threshold |

Returns

Definition at line 54 of file SimpleHOGcellExtractor.java.

References cz.vutbr.feec.novak68.HOG.getCells().

Referenced by cz.vutbr.feec.novak68.extractors.SimpleHOGcellExtractor.extractProperies().

Here is the call graph for this function:

float [] cz.vutbr.feec.novak68.extractors.SimpleHOGcellExtractor.computeBinCountMore | ( | HOG | hog,
|  | int | threshold
| ) |  |
| private

Compute bins with their values

Parameters

  hog |
  threshold |

Returns

Definition at line 85 of file SimpleHOGcellExtractor.java.

References cz.vutbr.feec.novak68.HOG.getCells().

Referenced by cz.vutbr.feec.novak68.extractors.SimpleHOGcellExtractor.extractProperiesMore().

Here is the call graph for this function:

String cz.vutbr.feec.novak68.extractors.SimpleHOGcellExtractor.extractProperies | ( | HOG | hogTest | ) |

Extract all cell properties to one long string

Parameters

  hogTest |

Returns

Definition at line 38 of file SimpleHOGcellExtractor.java.

References cz.vutbr.feec.novak68.extractors.SimpleHOGcellExtractor.computeBinCount(), and cz.vutbr.feec.novak68.extractors.SimpleHOGcellExtractor.threshold.

Here is the call graph for this function:

String cz.vutbr.feec.novak68.extractors.SimpleHOGcellExtractor.extractProperiesMore | ( | HOG | hogTest | ) |

Extract bins with their values

Parameters

  hogTest |

Returns

Definition at line 68 of file SimpleHOGcellExtractor.java.

References cz.vutbr.feec.novak68.extractors.SimpleHOGcellExtractor.computeBinCountMore(), and cz.vutbr.feec.novak68.extractors.SimpleHOGcellExtractor.threshold.

Here is the call graph for this function:

## Member Data Documentation

int cz.vutbr.feec.novak68.extractors.SimpleHOGcellExtractor.threshold
| private

Definition at line 13 of file SimpleHOGcellExtractor.java.

Referenced by cz.vutbr.feec.novak68.extractors.SimpleHOGcellExtractor.extractProperies(), cz.vutbr.feec.novak68.extractors.SimpleHOGcellExtractor.extractProperiesMore(), and cz.vutbr.feec.novak68.extractors.SimpleHOGcellExtractor.SimpleHOGcellExtractor().

The documentation for this class was generated from the following file:

- src/cz/vutbr/feec/novak68/extractors/SimpleHOGcellExtractor.java